summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Heinz Wiesinger <pprkut@slackbuilds.org>2010-05-11 20:30:44 +0200
committer Heinz Wiesinger <pprkut@slackbuilds.org>2010-05-11 20:30:44 +0200
commit7ce475920c6ad1c52b0fc1544ae94b5caeee4ca0 (patch)
tree77e97cbe2a10398fc4e20359b0eb7e0526b02834
parent019f5a1dde618b3afa1584c356db50b1cfa1a636 (diff)
downloadslackbuilds-7ce475920c6ad1c52b0fc1544ae94b5caeee4ca0.tar.gz
slackbuilds-7ce475920c6ad1c52b0fc1544ae94b5caeee4ca0.tar.xz
audio/audacity: Moved from multimedia
-rw-r--r--audio/audacity/README13
-rw-r--r--audio/audacity/audacity.SlackBuild (renamed from multimedia/audacity/audacity.SlackBuild)72
-rw-r--r--audio/audacity/audacity.desktop (renamed from multimedia/audacity/audacity.desktop)0
-rw-r--r--audio/audacity/audacity.info8
-rw-r--r--audio/audacity/doinst.sh9
-rw-r--r--audio/audacity/slack-desc (renamed from multimedia/audacity/slack-desc)4
-rw-r--r--multimedia/audacity/README8
-rw-r--r--multimedia/audacity/audacity.info8
-rw-r--r--multimedia/audacity/doinst.sh9
9 files changed, 80 insertions, 51 deletions
diff --git a/audio/audacity/README b/audio/audacity/README
new file mode 100644
index 0000000000..66f16a8a45
--- /dev/null
+++ b/audio/audacity/README
@@ -0,0 +1,13 @@
+Audacity is free, open source software for recording and editing sounds.
+With Audacity one can record live audio, convert tapes and records into
+digital recordings, edit Ogg, MP3, and WAV sound files, and much more.
+
+Audacity requires wxPython or wxGTK and libsndfile, both of which are
+available at SlackBuilds.org. This script builds with support for
+libmad, libvorbis, id3tag, and libflac (all of which are included in
+stock Slackware), but they can be removed in the "configure" section
+of the build script if desired. Finally, one can also optionally
+enable soundtouch or twolame support in the SlackBuild if the
+soundtouch or twolame dependencies (available at SBo) have been built
+and installed prior to compiling Audacity. See the Audacity
+SlackBuild itself for more information.
diff --git a/multimedia/audacity/audacity.SlackBuild b/audio/audacity/audacity.SlackBuild
index dc21ca18b3..498019a9b4 100644
--- a/multimedia/audacity/audacity.SlackBuild
+++ b/audio/audacity/audacity.SlackBuild
@@ -1,59 +1,85 @@
#!/bin/sh
-# Slackware build script for Audacity
+# Slackware build script for Audacity
# Written by Chess Griffin <chess at chessgriffin dot com>
-# Thanks to Eric Hameleers for adding the audacity.desktop
-# file and other tweaks and bug fixes.
+# Thanks to Eric Hameleers for adding the audacity.desktop
+# file and other tweaks and bug fixes. Thanks to Heinz
+# Wiesinger for bug fixes and and the soundtouch and twolame
+# improvements.
# Modified by the SlackBuilds.org project
-PRGNAM=audacity
-VERSION=1.3.3
+PRGNAM=audacity
+VERSION=1.3.6
ARCH=${ARCH:-i486}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
-TMP=${TMP:-/tmp/SBo}
+TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
+SOUNDTOUCH=${SOUNDTOUCH:-no}
+TWOLAME=${TWOLAME:-no}
+
+if [ "$SOUNDTOUCH" = "no" ]; then
+ do_soundtouch="without"
+else
+ do_soundtouch="with"
+fi
+
+if [ "$TWOLAME" = "no" ]; then
+ do_twolame="without"
+else
+ do_twolame="with"
+fi
+
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
fi
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP || exit 1
-rm -rf $PRGNAM-$VERSION
-tar -xzvf $CWD/$PRGNAM-src-$VERSION.tar.gz || exit 1
-cd $PRGNAM-src-$VERSION-beta || exit 1
+rm -rf $PRGNAM-src-$VERSION
+tar -xvf $CWD/$PRGNAM-src-$VERSION.tar.bz2 || exit 1
+cd $PRGNAM-src-$VERSION || exit 1
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
+# The following is needed until Slackware officially ships
+# autotools-1.10.
+sed -i "s|am__api_version='1.10'|am__api_version='1.9'|" lib-src/portsmf/configure
+
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
--enable-unicode \
- --with-vorbis=system \
- --with-libmad=system \
- --with-flac=system \
- --with-libsndfile=system \
- --with-id3tag=system \
- --with-libresample=local \
- --without-soundtouch \
+ --enable-nyquist \
+ --enable-vamp \
+ --with-expat \
+ --with-libvorbis \
+ --with-libmad \
+ --with-libflac \
+ --with-libsndfile \
+ --with-libid3tag \
+ --with-libresample \
+ --$do_soundtouch-soundtouch \
+ --$do_twolame-libtwolame \
|| exit 1
make || exit 1
make install DESTDIR=$PKG || exit 1
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
# We're going to overwrite the include audacity.desktop file with ours,
# and the icon isn't added at all by upstream, so we'll do that here
@@ -65,12 +91,10 @@ mv $PKG/usr/share/man $PKG/usr
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
mv $PKG/usr/share/doc/audacity/* $PKG/usr/doc/$PRGNAM-$VERSION
+cp LICENSE.txt README.txt $PKG/usr/doc/$PRGNAM-$VERSION
rm -r $PKG/usr/share/doc
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-mkdir -p $PKG/usr/share/locale/
-mv $TMP/$PRGNAM-src-$VERSION-beta/locale/* $PKG/usr/share/locale/
-
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
diff --git a/multimedia/audacity/audacity.desktop b/audio/audacity/audacity.desktop
index 3a39217470..3a39217470 100644
--- a/multimedia/audacity/audacity.desktop
+++ b/audio/audacity/audacity.desktop
diff --git a/audio/audacity/audacity.info b/audio/audacity/audacity.info
new file mode 100644
index 0000000000..8b82bb2c69
--- /dev/null
+++ b/audio/audacity/audacity.info
@@ -0,0 +1,8 @@
+PRGNAM="audacity"
+VERSION="1.3.6"
+HOMEPAGE="http://audacity.sourceforge.net"
+DOWNLOAD="http://downloads.sourceforge.net/sourceforge/audacity/audacity-src-1.3.6.tar.bz2"
+MD5SUM="a59d30bcedd017c5b3ac7bcecf7a1628"
+MAINTAINER="Chess Griffin"
+EMAIL="chess@chessgriffin.com"
+APPROVED="dsomero"
diff --git a/audio/audacity/doinst.sh b/audio/audacity/doinst.sh
new file mode 100644
index 0000000000..32f491d262
--- /dev/null
+++ b/audio/audacity/doinst.sh
@@ -0,0 +1,9 @@
+
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
diff --git a/multimedia/audacity/slack-desc b/audio/audacity/slack-desc
index 97983a734a..b546d29e06 100644
--- a/multimedia/audacity/slack-desc
+++ b/audio/audacity/slack-desc
@@ -5,8 +5,8 @@
# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
- |-----handy-ruler------------------------------------------------------|
-audacity: Audacity sound editor (GTK2 development version)
+ |-----handy-ruler------------------------------------------------------|
+audacity: Audacity (sound editor GTK2 development version)
audacity:
audacity: Audacity is free, open source software for recording and editing
audacity: sounds. With Audacity one can record live audio, convert tapes
diff --git a/multimedia/audacity/README b/multimedia/audacity/README
deleted file mode 100644
index 843882bc58..0000000000
--- a/multimedia/audacity/README
+++ /dev/null
@@ -1,8 +0,0 @@
-Audacity is free, open source software for recording and editing sounds.
-With Audacity one can record live audio, convert tapes and records into
-digital recordings, edit Ogg, MP3, and WAV sound files, and much more.
-
-Audacity requires wxGTK2.6 and libsndfile, both of which are available on
-SlackBuilds.org. This script builds with support for libmad, libvorbis,
-id3tag, and libflac (all of which are included in stock Slackware), but
-they can be removed in the "configure" section of the build script if desired.
diff --git a/multimedia/audacity/audacity.info b/multimedia/audacity/audacity.info
deleted file mode 100644
index 4d5e878360..0000000000
--- a/multimedia/audacity/audacity.info
+++ /dev/null
@@ -1,8 +0,0 @@
-PRGNAM="audacity"
-VERSION="1.3.3"
-HOMEPAGE="http://audacity.sourceforge.net"
-DOWNLOAD="http://dl.sourceforge.net/audacity/audacity-src-1.3.3.tar.gz"
-MD5SUM="72a9e3239f3b5af63030a1e1b07e40e7"
-MAINTAINER="Chess Griffin"
-EMAIL="chess@chessgriffin.com"
-APPROVED="rworkman"
diff --git a/multimedia/audacity/doinst.sh b/multimedia/audacity/doinst.sh
deleted file mode 100644
index 4daa83bcfa..0000000000
--- a/multimedia/audacity/doinst.sh
+++ /dev/null
@@ -1,9 +0,0 @@
-
-if [ -x usr/bin/update-desktop-database ]; then
- usr/bin/update-desktop-database -q usr/share/applications
-fi
-
-if [ -x usr/bin/update-mime-database ]; then
- usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
-fi
-